Skip to main content
GET
Get a Pix Entry

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Headers

X-Account-Id
string<uuid>
required

Account ID (UUID format)

Path Parameters

entry_id
string
required

Entry ID (UUID format)

Response

OK

account
object
required

Account information associated with this PIX key

creationDate
string<date-time>
required

When this PIX key entry was created

Example:

"2024-01-15T10:30:00Z"

holderId
string
required

Unique identifier of the customer who owns this PIX key

Example:

"550e8400-e29b-41d4-a716-446655440001"

id
string
required

Unique identifier for this PIX key entry

Example:

"950e8400-e29b-41d4-a716-446655440000"

keyOwnershipDate
string<date-time>
required

When the customer became the owner of this PIX key

Example:

"2024-01-15T10:30:00Z"

keyType
string
required

Type of this PIX key

Example:

"EMAIL"

keyValue
string
required

Actual PIX key that was registered

Example:

"john.doe@example.com"

metadata
object
required

Optional key-value pairs for custom attributes

owner
object
required

Owner information associated with this PIX key

requestId
string
required

Unique identifier for this creation request (for idempotency)

Example:

"680e8400-e29b-41d4-a716-446655440002"

status
string
required

Operational status of this PIX key

Example:

"ACTIVE"